/******************************************************************************
 *
 * Copyright 2003 NetBurner  ALL RIGHTS RESERVED
 *   Permission is hereby granted to purchasers of NetBurner Hardware
 *   to use or modify this computer program for any use as long as the
 *   resultant program is only executed on NetBurner provided hardware.
 *
 *   No other rights to use this program or it's derivitives in part or
 *   in whole are granted.
 *
 *   It may be possible to license this or other NetBurner software for
 *        use on non NetBurner Hardware.
 *   Please contact Licensing@Netburner.com for more infomation.
 *
 *   NetBurner makes no representation or warranties
 *   with respect to the performance of this computer program, and
 *   specifically disclaims any responsibility for any damages,
 *   special or consequential, connected with the use of this program.
 *
 *---------------------------------------------------------------------
 *
 * NetBurner
 * 5404 Morehouse Dr #350
 * San Diego Ca, 92121
 *
 * information available at:  http://www.netburner.com
 * E-Mail info@netburner.com
 *
 * Support is availible: E-Mail support@netburner.com
 *
 *****************************************************************************/

#ifndef _NB_RTC_IOBOARD_H							   
#define _NB_RTC_IOBOARD_H                               

#include <time.h>

/*Structures: 
struct tm
{
  int	tm_sec;
  int	tm_min;
  int	tm_hour;
  int	tm_mday;
  int	tm_mon;
  int	tm_year;
  int	tm_wday;
  int	tm_yday;
  int	tm_isdst;
};
*/


/* Get the current clock time */
/*
	Paramaters:
		bts the basic time struct to fill in with values from the clock. 
	Returns -1 on failure, 0 on success 
*/	
int IOBoardRTCGetTime(struct tm & bts);


/* Set the clock time */
/* Set the current time in the clock.
	Paramaters:
		bts the basic time struct to use to set the clock. 
	Returns -1 on failure, 0 on success 
*/
int IOBoardRTCSetTime(struct tm & bts);


/* Set the system time using the RTC */
/* returns 0- on success */
int IOBoardRTCSetSystemFromRTCTime();


/* Set the RTC time using the current system time */
/* returns 0- on success */
int IOBoardRTCSetRTCfromSystemTime();


#endif
